Package docking.widgets.indexedscrollpane

# Class PreMappedViewToIndexMapper

java.lang.Object
docking.widgets.indexedscrollpane.PreMappedViewToIndexMapper

All Implemented Interfaces:
  `ViewToIndexMapper`

public class PreMappedViewToIndexMapper extends Object implements ViewToIndexMapper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreMappedViewToIndexMapper(IndexedScrollable model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getIndex(int value)`
  `int`
  `getScrollValue(BigInteger startIndex, BigInteger endIndex, int startY, int endY)`
  `int`
  `getVerticalOffset(int value)`
  `int`
  `getViewHeight()`
  `void`
  `indexModelDataChanged(BigInteger start, BigInteger end)`
  `void`
  `setVisibleViewHeight(int height)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PreMappedViewToIndexMapper

    public PreMappedViewToIndexMapper(IndexedScrollable model)

- ## Method Details

  - ### getIndex

    public BigInteger getIndex(int value)
    Specified by:
      `getIndex` in interface `ViewToIndexMapper`

  - ### getScrollValue

    public int getScrollValue(BigInteger startIndex, BigInteger endIndex, int startY, int endY)
    Specified by:
      `getScrollValue` in interface `ViewToIndexMapper`

  - ### getVerticalOffset

    public int getVerticalOffset(int value)
    Specified by:
      `getVerticalOffset` in interface `ViewToIndexMapper`

  - ### getViewHeight

    public int getViewHeight()
    Specified by:
      `getViewHeight` in interface `ViewToIndexMapper`

  - ### setVisibleViewHeight

    public void setVisibleViewHeight(int height)
    Specified by:
      `setVisibleViewHeight` in interface `ViewToIndexMapper`

  - ### indexModelDataChanged

    public void indexModelDataChanged(BigInteger start, BigInteger end)
    Specified by:
      `indexModelDataChanged` in interface `ViewToIndexMapper`